[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPObjectList.Destroy

Clears the list and destroys the list instance

## Declaration

Source position: contnrs.pp line 45

`public destructor TFPObjectList.Destroy; override;`

## Description

Destroy clears the list, freeing all objects in the list if OwnsObjects is True.

## See also

TFPObjectList.OwnsObjects |  | Should the list free elements when they are removed.
TObjectList.Create |  | Create a new object list.

Documentation generated on: Feb 26 2014